'use strict';
angular.module('aom.controllers')
  .controller('DiagnosticsCtrl', function ($scope, aomResourcesSrv, aomLogHandlerSrv) {
    $scope.data = {
      resources: aomResourcesSrv.data.resources,
      logs: []
    };

    aomLogHandlerSrv.getLogs()
      .then(function (logs) {
        $scope.data.logs.length = 0;
        $scope.data.logs.push.apply($scope.data.logs, logs.rows);
      });
  });
